readTransposeData <- function(cwikience, dataset, latitude, longitude){
	vector <- .jcall(cwikience, "[D", "readTransposeData", dataset, latitude, longitude) 

	timeStart <- vector[1]
	timeStep <- vector[2]
	type <- vector[3]
	
	data <- vector[-c(1,2,3)]

	data[data <= -3.402823e+38] <- NA;

	if(type == 0){
		posixTime <- .jcall(w, "[S", "posixTime",vector[1], length(data), vector[2])
		posixTime <- as.POSIXct(posixTime)
	} else {
		datesUnix <- seq(
			as.Date(convertTimeToString(timeStart)), 
			length = length(data), 
			by = "1 mon")

		posixTime <- as.character(datesUnix)
		posixTime <- as.POSIXct(strptime(posixTime, format = "%Y-%m-%d","GMT"))
	}

	dataFrame <- data.frame(date=posixTime,value=data)

	return(dataFrame)
}

readTransposeDataNoDate <- function(cwikience, dataset, latitude, longitude){
	vector <- .jcall(cwikience, "[D", "readTransposeData", dataset, latitude, longitude) 
	
	timeStart <- vector[1]
	timeStep <- vector[2]
	type <- vector[3]
	
	data <- vector[-c(1,2,3)]
	
	data[data <= -3.402823e+38] <- NA;
		
	dataFrame <- data.frame(value=data)
	
	return(dataFrame)
}